### Hierarchy

- IJenkinsObject
  - IJenkinsUser
  - IJenkinsUser
  - IJenkinsNode
  - IJenkinsJob
  - IJenkinsBuild
  - IJenkinsChangeSet
  - IJenkinsHealthReport
  - IJenkinsView
  - IJenkinsAction

## Index

### Properties

- _class

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

- Defined in jenkins-api-ts-typings.ts:25

## Methods

### fromJson

- fromJson(json: JSON): void

- - Defined in jenkins-api-ts-typings.ts:27

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- - Defined in jenkins-api-ts-typings.ts:28

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- - Defined in jenkins-api-ts-typings.ts:26

  #### Returns string

Generated using TypeDoc